org.keycloak.authorization.admin

## Class ScopeService

- java.lang.Object
- - org.keycloak.authorization.admin.ScopeService

-     public class ScopeService
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeService(KeycloakSession session, ResourceServer resourceServer, AuthorizationProvider authorization, AdminPermissionEvaluator auth, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(ScopeRepresentation scope)`
    `javax.ws.rs.core.Response` | `delete(String id)`
    `javax.ws.rs.core.Response` | `find(String name)`
    `javax.ws.rs.core.Response` | `findAll(String id, String name, Integer firstResult, Integer maxResult)`
    `javax.ws.rs.core.Response` | `findById(String id)`
    `javax.ws.rs.core.Response` | `getPermissions(String id)`
    `javax.ws.rs.core.Response` | `getResources(String id)`
    `javax.ws.rs.core.Response` | `update(String id, ScopeRepresentation scope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScopeService

          public ScopeService(KeycloakSession session,
                              ResourceServer resourceServer,
                              AuthorizationProvider authorization,
                              AdminPermissionEvaluator auth,
                              AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### create

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response create(ScopeRepresentation scope)

    - #### update

          @Path(value="{id}")
           @PUT
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response update(@PathParam(value="id")
                                                                                                                                                      String id,
                                                                                                                                                      ScopeRepresentation scope)

    - #### delete

          @Path(value="{id}")
           @DELETE
          public javax.ws.rs.core.Response delete(@PathParam(value="id")
                                                                               String id)

    - #### findById

          @Path(value="{id}")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response findById(@PathParam(value="id")
                                                                                                                   String id)

    - #### getResources

          @Path(value="{id}/resources")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response getResources(@PathParam(value="id")
                                                                                                                                 String id)

    - #### getPermissions

          @Path(value="{id}/permissions")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response getPermissions(@PathParam(value="id")
                                                                                                                                     String id)

    - #### find

          @Path(value="/search")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response find(@QueryParam(value="name")
                                                                                                                  String name)

    - #### findAll

          @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response findAll(@QueryParam(value="scopeId")
                                                                                             String id,
                                                                                             @QueryParam(value="name")
                                                                                             String name,
                                                                                             @QueryParam(value="first")
                                                                                             Integer firstResult,
                                                                                             @QueryParam(value="max")
                                                                                             Integer maxResult)

Copyright © 2021 JBoss by Red Hat. All rights reserved.